Loading...
Searching...
No Matches
gx_gui::StackBoxBuilder Class Reference

`#include <gx_stackbox_builder.h>`

## Public Member Functions

| StackBoxBuilder (gx_engine::GxMachineBase &machine_, Glib::RefPtr< Gdk::Pixbuf > window_icon)
| ~StackBoxBuilder ()
void | set_neural_filelist (Gxw::Selector *sel, std::string id, std::string fileid, std::string pathid)
void | set_neural_file (std::string id, std::string fileid)
void | set_accelgroup (Glib::RefPtr< Gtk::AccelGroup > accels_)
void | prepare ()
void | fetch (Gtk::Widget *&mainbox, Gtk::Widget *&minibox)
void | set_current_plugin (PluginUI *p)
void | connect_signals (Glib::RefPtr< GxBuilder > builder, Glib::RefPtr< Glib::Object > object, const char *signal_name, const char *handler_name)

## Private Member Functions

void | loadRackFromBuilder (const Glib::RefPtr< GxBuilder > &bld)
void | create_master_slider (const std::string &id, const char *label)
void | closeBox ()
void | insertSpacer ()
void | check_set_flags (Gxw::Regler *r)
void | create_simple_meter (const std::string &id)
void | create_simple_c_meter (const std::string &id, const std::string &idl, const char *label)
void | create_mid_rackknob (const std::string &id, const char *label)
void | create_small_rackknob (const std::string &id, const char *label)
void | create_small_rackknobr (const std::string &id, const char *label)
void | create_big_rackknob (const std::string &id, const char *label)
void | openVerticalBox (const char *label="")
void | openFrameBox (const char *label)
void | openHorizontalBox (const char *label="")
void | openHorizontalhideBox (const char *label="")
void | openHorizontalTableBox (const char *label)
void | create_switch_no_caption (const char *sw_type, const std::string &id)
void | create_v_switch (const char *sw_type, const std::string &id, const char *label)
void | openpaintampBox (const char *label="")
void | create_wheel (const std::string &id, const char *label=0)
void | create_spin_value (const std::string &id, const char *label)
void | create_simple_spin_value (const std::string &id)
void | create_eq_rackslider_no_caption (const std::string &id)
void | create_port_display (const std::string &id, const char *label)
void | create_p_display (const std::string &id, const std::string &idl, const std::string &idh)
void | create_feedback_switch (const char *sw_type, const std::string &id)
void | create_feedback_slider (const std::string &id, const char *label)
void | create_fload_switch (const char *sw_type, const char *id, const std::string &idf)
void | create_selector (const std::string &id, const char *widget_name=0)
void | create_selector_with_caption (const std::string &id, const char *label)
void | openFlipLabelBox (const char *=0)
void | openVerticalBox1 (const char *label=0)
void | openVerticalBox2 (const char *label=0)
void | openTabBox (const char *label=0)
void | set_next_flags (int flags)
void | addwidget (Gtk::Widget *widget)
bool | ui_connect (Gtk::Widget *widget, const std::string &id)
void | add_regler (CpBaseCaption *w, Gxw::Regler *r, const std::string &id, const char *label)
void | load_file (const std::string &id, const std::string &idf)
void | on_file_chooser_response (int response_id, Gtk::FileChooserDialog *d, const std::string &id, const std::string &idf)
void | load_file_f (const std::string &id, const std::string &idf)
void | loadRackFromGladeData (const char *xmldesc)
void | loadRackFromGladeFile (const char *fname)

## Private Attributes

WidgetStack | fBox
gx_engine::GxMachineBase & | machine
Gtk::HBox * | widget
Glib::RefPtr< Gtk::AccelGroup > | accels
Glib::RefPtr< Gdk::Pixbuf > | window_icon
int | next_flags
PluginUI * | current_plugin
std::vector< Glib::ustring > | nam_file_names
std::vector< Glib::ustring > | snam_file_names
std::vector< Glib::ustring > | mnam_afile_names
std::vector< Glib::ustring > | mnam_bfile_names
std::vector< Glib::ustring > | rtneural_file_names
std::vector< Glib::ustring > | srtneural_file_names
std::vector< Glib::ustring > | mrtneural_afile_names
std::vector< Glib::ustring > | mrtneural_bfile_names

## Friends

class | UiBuilderImpl

## Detailed Description

Definition at line 44 of file gx_stackbox_builder.h.

## Constructor & Destructor Documentation

## StackBoxBuilder()

gx_gui::StackBoxBuilder::StackBoxBuilder | ( | gx_engine::GxMachineBase & | machine_,
|  | Glib::RefPtr< Gdk::Pixbuf > | window_icon )

## ~StackBoxBuilder()

gx_gui::StackBoxBuilder::~StackBoxBuilder | ( |  | ) |

## Member Function Documentation

## add_regler()

void gx_gui::StackBoxBuilder::add_regler | ( | CpBaseCaption * | w,
|  | Gxw::Regler * | r,
|  | const std::string & | id,
|  | const char * | label )

private

## addwidget()

void gx_gui::StackBoxBuilder::addwidget | ( | Gtk::Widget * | widget | ) |

private

## check_set_flags()

void gx_gui::StackBoxBuilder::check_set_flags | ( | Gxw::Regler * | r | ) |

private

## closeBox()

void gx_gui::StackBoxBuilder::closeBox | ( |  | ) |

private

## connect_signals()

void gx_gui::StackBoxBuilder::connect_signals | ( | Glib::RefPtr< GxBuilder > | builder,
|  | Glib::RefPtr< Glib::Object > | object,
|  | const char * | signal_name,
|  | const char * | handler_name )

## create_big_rackknob()

void gx_gui::StackBoxBuilder::create_big_rackknob | ( | const std::string & | id,
|  | const char * | label )

private

## create_eq_rackslider_no_caption()

void gx_gui::StackBoxBuilder::create_eq_rackslider_no_caption | ( | const std::string & | id | ) |

private

## create_feedback_slider()

void gx_gui::StackBoxBuilder::create_feedback_slider | ( | const std::string & | id,
|  | const char * | label )

private

## create_feedback_switch()

void gx_gui::StackBoxBuilder::create_feedback_switch | ( | const char * | sw_type,
|  | const std::string & | id )

private

## create_fload_switch()

void gx_gui::StackBoxBuilder::create_fload_switch | ( | const char * | sw_type,
|  | const char * | id,
|  | const std::string & | idf )

private

## create_master_slider()

void gx_gui::StackBoxBuilder::create_master_slider | ( | const std::string & | id,
|  | const char * | label )

private

## create_mid_rackknob()

void gx_gui::StackBoxBuilder::create_mid_rackknob | ( | const std::string & | id,
|  | const char * | label )

private

## create_p_display()

void gx_gui::StackBoxBuilder::create_p_display | ( | const std::string & | id,
|  | const std::string & | idl,
|  | const std::string & | idh )

private

## create_port_display()

void gx_gui::StackBoxBuilder::create_port_display | ( | const std::string & | id,
|  | const char * | label )

private

## create_selector()

void gx_gui::StackBoxBuilder::create_selector | ( | const std::string & | id,
|  | const char * | widget_name = 0 )

private

## create_selector_with_caption()

void gx_gui::StackBoxBuilder::create_selector_with_caption | ( | const std::string & | id,
|  | const char * | label )

private

## create_simple_c_meter()

void gx_gui::StackBoxBuilder::create_simple_c_meter | ( | const std::string & | id,
|  | const std::string & | idl,
|  | const char * | label )

private

## create_simple_meter()

void gx_gui::StackBoxBuilder::create_simple_meter | ( | const std::string & | id | ) |

private

## create_simple_spin_value()

void gx_gui::StackBoxBuilder::create_simple_spin_value | ( | const std::string & | id | ) |

private

## create_small_rackknob()

void gx_gui::StackBoxBuilder::create_small_rackknob | ( | const std::string & | id,
|  | const char * | label )

private

## create_small_rackknobr()

void gx_gui::StackBoxBuilder::create_small_rackknobr | ( | const std::string & | id,
|  | const char * | label )

private

## create_spin_value()

void gx_gui::StackBoxBuilder::create_spin_value | ( | const std::string & | id,
|  | const char * | label )

private

## create_switch_no_caption()

void gx_gui::StackBoxBuilder::create_switch_no_caption | ( | const char * | sw_type,
|  | const std::string & | id )

private

## create_v_switch()

void gx_gui::StackBoxBuilder::create_v_switch | ( | const char * | sw_type,
|  | const std::string & | id,
|  | const char * | label )

private

## create_wheel()

void gx_gui::StackBoxBuilder::create_wheel | ( | const std::string & | id,
|  | const char * | label = 0 )

private

## fetch()

void gx_gui::StackBoxBuilder::fetch | ( | Gtk::Widget *& | mainbox,
|  | Gtk::Widget *& | minibox )

## insertSpacer()

void gx_gui::StackBoxBuilder::insertSpacer | ( |  | ) |

private

## load_file()

void gx_gui::StackBoxBuilder::load_file | ( | const std::string & | id,
|  | const std::string & | idf )

private

## load_file_f()

void gx_gui::StackBoxBuilder::load_file_f | ( | const std::string & | id,
|  | const std::string & | idf )

private

## loadRackFromBuilder()

void gx_gui::StackBoxBuilder::loadRackFromBuilder | ( | const Glib::RefPtr< GxBuilder > & | bld | ) |

private

## loadRackFromGladeData()

void gx_gui::StackBoxBuilder::loadRackFromGladeData | ( | const char * | xmldesc | ) |

private

## loadRackFromGladeFile()

void gx_gui::StackBoxBuilder::loadRackFromGladeFile | ( | const char * | fname | ) |

private

## on_file_chooser_response()

void gx_gui::StackBoxBuilder::on_file_chooser_response | ( | int | response_id,
|  | Gtk::FileChooserDialog * | d,
|  | const std::string & | id,
|  | const std::string & | idf )

private

## openFlipLabelBox()

void gx_gui::StackBoxBuilder::openFlipLabelBox | ( | const char * | = 0 | ) |

private

## openFrameBox()

void gx_gui::StackBoxBuilder::openFrameBox | ( | const char * | label | ) |

private

## openHorizontalBox()

void gx_gui::StackBoxBuilder::openHorizontalBox | ( | const char * | label = "" | ) |

private

## openHorizontalhideBox()

void gx_gui::StackBoxBuilder::openHorizontalhideBox | ( | const char * | label = "" | ) |

private

## openHorizontalTableBox()

void gx_gui::StackBoxBuilder::openHorizontalTableBox | ( | const char * | label | ) |

private

## openpaintampBox()

void gx_gui::StackBoxBuilder::openpaintampBox | ( | const char * | label = "" | ) |

private

## openTabBox()

void gx_gui::StackBoxBuilder::openTabBox | ( | const char * | label = 0 | ) |

private

## openVerticalBox()

void gx_gui::StackBoxBuilder::openVerticalBox | ( | const char * | label = "" | ) |

private

## openVerticalBox1()

void gx_gui::StackBoxBuilder::openVerticalBox1 | ( | const char * | label = 0 | ) |

private

## openVerticalBox2()

void gx_gui::StackBoxBuilder::openVerticalBox2 | ( | const char * | label = 0 | ) |

private

## prepare()

void gx_gui::StackBoxBuilder::prepare | ( |  | ) |

## set_accelgroup()

void gx_gui::StackBoxBuilder::set_accelgroup | ( | Glib::RefPtr< Gtk::AccelGroup > | accels_ | ) |

inline

Definition at line 121 of file gx_stackbox_builder.h.

## set_current_plugin()

void gx_gui::StackBoxBuilder::set_current_plugin | ( | PluginUI * | p | ) |

inline

Definition at line 124 of file gx_stackbox_builder.h.

## set_neural_file()

void gx_gui::StackBoxBuilder::set_neural_file | ( | std::string | id,
|  | std::string | fileid )

## set_neural_filelist()

void gx_gui::StackBoxBuilder::set_neural_filelist | ( | Gxw::Selector * | sel,
|  | std::string | id,
|  | std::string | fileid,
|  | std::string | pathid )

## set_next_flags()

void gx_gui::StackBoxBuilder::set_next_flags | ( | int | flags | ) |

private

## ui_connect()

bool gx_gui::StackBoxBuilder::ui_connect | ( | Gtk::Widget * | widget,
|  | const std::string & | id )

private

## Friends And Related Symbol Documentation

## UiBuilderImpl

friend class UiBuilderImpl

friend

Definition at line 113 of file gx_stackbox_builder.h.

Referenced by UiBuilderImpl.

## Member Data Documentation

## accels

Glib::RefPtr<Gtk::AccelGroup> gx_gui::StackBoxBuilder::accels

private

Definition at line 49 of file gx_stackbox_builder.h.

Referenced by set_accelgroup().

## current_plugin

PluginUI* gx_gui::StackBoxBuilder::current_plugin

private

Definition at line 52 of file gx_stackbox_builder.h.

Referenced by set_current_plugin().

## fBox

WidgetStack gx_gui::StackBoxBuilder::fBox

private

Definition at line 46 of file gx_stackbox_builder.h.

## machine

gx_engine::GxMachineBase& gx_gui::StackBoxBuilder::machine

private

Definition at line 47 of file gx_stackbox_builder.h.

## mnam_afile_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::mnam_afile_names

private

Definition at line 55 of file gx_stackbox_builder.h.

## mnam_bfile_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::mnam_bfile_names

private

Definition at line 56 of file gx_stackbox_builder.h.

## mrtneural_afile_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::mrtneural_afile_names

private

Definition at line 59 of file gx_stackbox_builder.h.

## mrtneural_bfile_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::mrtneural_bfile_names

private

Definition at line 60 of file gx_stackbox_builder.h.

## nam_file_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::nam_file_names

private

Definition at line 53 of file gx_stackbox_builder.h.

## next_flags

int gx_gui::StackBoxBuilder::next_flags

private

Definition at line 51 of file gx_stackbox_builder.h.

## rtneural_file_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::rtneural_file_names

private

Definition at line 57 of file gx_stackbox_builder.h.

## snam_file_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::snam_file_names

private

Definition at line 54 of file gx_stackbox_builder.h.

## srtneural_file_names

std::vector<Glib::ustring> gx_gui::StackBoxBuilder::srtneural_file_names

private

Definition at line 58 of file gx_stackbox_builder.h.

## widget

Gtk::HBox* gx_gui::StackBoxBuilder::widget

private

Definition at line 48 of file gx_stackbox_builder.h.

Referenced by addwidget(), and ui_connect().

## window_icon

Glib::RefPtr<Gdk::Pixbuf> gx_gui::StackBoxBuilder::window_icon

private

Definition at line 50 of file gx_stackbox_builder.h.

Referenced by StackBoxBuilder().

The documentation for this class was generated from the following file:

- src/headers/gx_stackbox_builder.h